//	Stats.cpp - Animal/Human stats stored as constants.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Stats.h"

//------------------------------------------------------------------------------
//hitPower, throwingPower, speed, absorption, intelligence, health, sightRadius, inventorySize, canSwim, canForest
const Stats GlobalStats::AnimalStats[6] = {{10, 2, 2, 10, 8, 30, 5, 0, 0, 0},	//Elephant
										   {12, 2, 7, 5, 2, 20, 4, 0, 0, 1},	//Lion
										   {9, 1, 2, 10, 2, 20, 2, 0, 1, 0},	//Hippo
										   {6, 1, 3, 5, 4, 18, 8, 0, 0, 1},		//Giraffe
										   {5, 8, 7, 5, 10, 10, 6, 0, 1, 1},	//Owl
										   {5, 5, 8, 6, 3, 12, 3, 2, 0, 1}};	//Wallaby

//------------------------------------------------------------------------------
const Stats GlobalStats::HumanStats[3] = {{6, 6, 7, 5, 8, 10, 4, 4, 0, 1},		//Park Warden
										  {8, 4, 6, 6, 4, 15, 5, 5, 0, 1},		//Police
										  {12, 10, 5, 15, 2, 25, 6, 6, 0, 1}};	//Soldier
