//	ThreeFloats.cpp - Simple struct containing three floats.
//  ----------------------------------------------------------------------------
//	This file is part of 'GameTemplate', template code for a game.
//	Copyright (C) 2011  Niall Moody
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//	----------------------------------------------------------------------------

#include "ThreeFloats.h"

//------------------------------------------------------------------------------
ThreeFloats operator*(float op1, const ThreeFloats& op2)
{
	ThreeFloats retval;

	retval.x = op1 * op2.x;
	retval.y = op1 * op2.y;
	retval.z = op1 * op2.z;

	return retval;
}
